/**
 * @author Christian Brel <christian@the6thscreen.fr, ch.brel@gmail.com>
 */

/// <reference path="./utils/Logger.ts" />
/// <reference path="./utils/Keyboard.ts" />
/// <reference path="./paint/SocketManager.ts" />
/// <reference path="./paint/ViewportManager.ts" />

declare var $: any; // Use 'JQuery' lib

var mainClass : Launcher;

// main class
class Launcher {

//    private _borderSize : number;
    private _vpm : ViewportManager;
    private _sm : SocketManager;

    constructor() {
        this._vpm = new ViewportManager();
        this._sm = new SocketManager();

        this._vpm.setSocketManager(this._sm);
        this._sm.setViewportManager(this._vpm);
//        this._borderSize = 3;
    }

    run() {
        var self = this;

            var webSocketServerURl = $('#painthtml5_websocket_url_input').val();
            var username = $('#painthtml5_username_input').val();

            this._sm.setServerUrl(webSocketServerURl);

            //this._sm.setProfil(username, $(window).width()-2*self._borderSize, $(window).height()-2*self._borderSize);
            this._sm.setUsername(username);
    }
}

function connectAndBuildCanvas(){
    mainClass.run();
};

$(window).ready(function () {
    mainClass = new Launcher();
});